org.h2gis.functions.spatial.type

## Class DomainInfo

- java.lang.Object
- - org.h2gis.functions.spatial.type.DomainInfo

    public class DomainInfo
    extends Object

Class helper to define domain. Use defined type

Author:
  Nicolas Fortin

### Constructor Summary

Constructors
Constructor and Description
`DomainInfo(String domainName, int geometryTypeCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDomainName()`
`int` `getGeometryTypeCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomainInfo

    public DomainInfo(String domainName,
                      int geometryTypeCode)

Parameters:
  `domainName` - Type alias name
  `geometryTypeCode` - associated with this type

### Method Detail

#### getDomainName

    public String getDomainName()

Returns:
  Type alias

#### getGeometryTypeCode

    public int getGeometryTypeCode()

Returns:
  Return one of